.calendar-container  {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  background-color: white;
  border-radius: 2px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  cursor: default;
  flex-grow: 1; 
  height:100%;
 }

.calendar-container .header {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: default;
  border: 1px solid black;
  padding: 0.2rem 0.4rem 0.3rem 0.2rem;
 }  

 .calendar-container button{
  text-shadow: 
            -1px -1px 0 white, 
            1px -1px 0 white, 
            -1px 1px 0 white, 
            1px 1px 0 white; 
  cursor: pointer;
}

.calendar-container .days-of-week {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 1px;
  text-align: center;
  font-size: var(--text);
  padding: 0.6rem 0.2rem 0.6rem 0.2rem;
 }










.calendar-container .days-container {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 1px;
  text-align: center;
  background-color: white;
  height: 100%;
}

.calendar-container .days-of-week div {
  font-weight: bold;
  color: black;
}

.days-container .day {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #e6e6e6;
  border-radius: 0.1rem;
  transition: background-color 0.3s ease-in-out;
  font-size: clamp(0.8vw, 1vw, 1.2vw);
  font-weight: bold;
}
